2010-09-15 10:05 -0700  Michael Elkins  <me@mutt.org>  (54e3139a0362)

	* safe_asprintf.c: suppress check_sec errors

2010-09-13 17:25 -0700  Michael Elkins  <me@mutt.org>  (20b2d496349f)

	* init.h: make $mail_check_recent set by default

2010-09-13 19:00 +0100  Emanuele Giaquinta  <e.giaquinta@glauco.it>  (fea3860ff672)

	* imap/command.c: Restore the previous behaviour of checking for new
	messages in imap folders when mail_check_recent is set.

2010-09-12 19:54 -0700  Michael Elkins  <me@mutt.org>  (a51df78218e8)

	* buffy.c, buffy.h, imap/command.c, init.h, mbox.c, mutt.h: add
	$mail_check_recent boolean to control whether Mutt will notify about
	all new mail, or just new mail received since the last visit to a
	mailbox

	closes #3271

	partly addresses #3310

	* smime.c: fix crash when index contains 0 keys

2010-09-11 07:34 -0700  Michael Elkins  <me@mutt.org>  (0f962f1a6bbb)

	* send.c: Allow setting message security in send2-hook

	This patch delays checking the message security options until after
	the user has an initial chance to edit the message. This allows the
	security options to be set in a send2-hook when using $edit_headers.
	Without this patch, the user has no way of automatically setting
	security based on recipients since the to/cc prompts are bypassed.

	The other change in behavior is if the user happened to use a
	send2-hook to see if the message had security applied *prior* to
	editing the message, that no longer works.

	* keymap.c, keymap.h, main.c: support for ncurses extension allowing
	binding to function keys with modifiers

	* keymap.c: allow octal codes with more than three digits

	* crypt-gpgme.c, mime.h, pgp.c, recvattach.c, sendlib.c: add DISPNONE
	to mean no preferred Content-Disposition; make pgp-signature parts
	DISPNONE for multipart/signed

	* recvcmd.c: fix problem with reply-hook not working when a
	message/rfc822 attachment is selected

	* rfc2047.c: more lenient RFC2047 decoding: accept illegal spaces and
	bare question marks in encoded words

	* curs_main.c, mx.c: fix crash when new mail is received during IMAP
	IDLE

	closes #3335

2010-08-25 00:30 +0100  Emanuele Giaquinta  <e.giaquinta@glauco.it>  (5302767aa6aa)

	* rfc2047.c: Use mutt_substrdup in rfc2047_decode_word

2010-08-24 16:40 -0700  Michael Elkins  <me@mutt.org>  (92b02f77e780)

	* rfc2047.c: detect failure to decode word and copy raw string
	instead; avoids calling strlen() on uninitialized memory

	closes #2923

2010-08-24 18:39 +0100  Emanuele Giaquinta  <e.giaquinta@glauco.it>  (ebd4beafe5eb)

	* mutt_ssl.c: Fix typo.

	* browser.c, hook.c, init.c, menu.c, mutt_ssl_gnutls.c, pager.c: Do
	not call regfree if regcomp fails. The content of the regex_t
	structure is undefined in this case.

	* curs_lib.c, mutt_ssl_gnutls.c: use REGCOMP() macro

2010-08-24 10:03 -0700  Michael Elkins  <me@mutt.org>  (5d59c8b737ba)

	* init.c: add REG_ICASE accidentally removed in changeset 1a35f096c8cb

	* muttlib.c: do not print debug message on ENOENT

2010-08-14 09:18 -0700  Michael Elkins  <me@mutt.org>  (04fd8ddea579)

	* url.c: avoid c99 syntax for backwards compat

2010-08-06 21:52 +0200  Matthias Andree  <matthias.andree@gmx.de>  (24a7b1aa2e55)

	* buffy.c: Fix comparison signedness warnings.

2010-08-12 16:04 -0700  Michael Elkins  <me@mutt.org>  (ced5d3dca974)

	* imap/util.c: Fix bug in imap_keepalive() which erroneously free
	Context when the IMAP connection is shut down by the server.

	Closes #3410

	* url.c: url_parse_mailto should return 0 on success

	fix memory leak errors when unable to parse mailto: URL

	closes #3441

	* mh.c: always update message body size when parsing a maildir message

	* safe_asprintf.c: call va_end() even when vasprintf returns <0

2010-08-09 20:48 -0700  Michael Elkins  <me@mutt.org>  (6572e8bcd723)

	* Makefile.am, imap/message.c, lib.c, lib.h, safe_asprintf.c: rename
	mutt_sprintf() to safe_asprintf() to match the GNU extension that
	performs a similar task

2010-08-09 10:27 -0700  Vincent Lefevre  <vincent@vinc17.org>  (e86ee9991dc3)

	* postpone.c: In postpone.c, function mutt_num_postponed, the old
	{{{OldPostponed}}} is never freed.

	closes #3442

2010-08-09 09:38 -0700  Michael Elkins  <me@mutt.org>  (8051fc8b631c)

	* send.c: clear the real name when $reverse_realname is unset and a
	match is hit so that $realname can be set in a reply- or send-hook

	closes #3427

	* doc/manual.xml.head: fix example of mailto: use on the command line

	* pager.c: fix buffer underrun when processing ANSI escape sequences

	closes #3371

2010-08-08 12:29 -0700  Michael Elkins  <me@mutt.org>  (4dcf19c58139)

	* doc/manual.xml.head, doc/mutt.man: document support for mailto: URLs
	on the command line

	closes #3400

	* imap/message.c: avoid error when the user has requested many extra
	headers via IMAP

	closes #3435

	* lib.c, lib.h: add a malloc+sprintf combo function

2010-08-08 10:21 -0700  Fabian Groffen  <grobian@gentoo.org>  (d4d703e21cdd)

	* pattern.c: fix crash in limit when user enters invalid regexp

	closes #3417

2010-08-07 06:44 -0700  Michael Elkins  <me@mutt.org>  (cc881d855f05)

	* mutt_ssl.c: Fix comparison signedness warnings

	* pop_lib.c: add comment about safety of cast

2010-08-06 21:58 +0200  Matthias Andree  <matthias.andree@gmx.de>  (55f50b2db1f8)

	* pop_lib.c: Fix comparison signedness warning.

	* status.c: Fix signedness warning.

	* .hgignore: Ignore backup files ending in a tilde character.

	* url.c: Fix comparison signedness warnings.

	* gnupgparse.c, pop_auth.c: Fix comparison signedness warnings.

	* lib.h: Resolve if/else empty body ambiguity/warnings when compiling
	without DEBUG.

2010-08-06 17:08 -0700  Michael Elkins  <me@mutt.org>  (5b15d4d96277)

	* configure.ac, init.c, protos.h: detect availablity of 'long long'

	cast time_t to 'long long' prior to bitshifting since it can be a
	float value according to POSIX.1-2008

	closes #3439

2010-08-06 21:22 +0200  Matthias Andree  <matthias.andree@gmx.de>  (bf13863e682e)

	* md5.c: Drop declaration for unused argv/argc parameters.

	Fixes GCC warning with -Wextra.

2010-08-06 13:11 -0700  Michael Elkins  <me@mutt.org>  (998ca956b41b)

	* init.c, muttlib.c: use a 64-bit random value in temporary filenames.

	closes #3158

	* browser.c: avoid using C99 bool

	* browser.c, init.h: add %D format string to $folder_format to expand
	the time based on $date_format.

	properly set the locale for LC_TIME prior to calling strftime()
	closes #1734 closes #3406

	* mutt_ssl.c: fix compiler warning about wrong type for
	SslSessionCerts

2010-08-06 09:58 +0200  Matthias Andree  <matthias.andree@gmx.de>  (473fbe29f626)

	* mutt_ssl.c: Unbreak X.509 SubjAltName checks,

	regression in 6016:dc09812e63a3 that calls strlen on an SSL sk
	rather than its string payload.

	closes #3426

2010-08-06 07:12 -0700  Michael Elkins  <me@mutt.org>  (4ae33a8a1391)

	* configure.ac: properly set _XOPEN_SOURCE to 600 (POSIX.1-2004) when
	detecting th wc*() functions

	closes #3341

2010-08-05 21:57 -0700  Michael Elkins  <me@mutt.org>  (bc5fb152e2ba)

	* mbox.c: when parsing From_ lines in mmdf/mbox, the TZ should be
	computed based on the time in the string rather than the current
	time, otherwise DST issues cause the computed time to be wrong.

	closes #2177

	* thread.c: explanatory comments

2010-08-05 17:03 -0700  andreas  <andreas.amann@tyndall.ie>  (0666d9588eac)

	* curs_main.c, functions.h: do not leave pager when changing sort
	order.

	closes #2143

2010-08-05 16:47 -0700  Michael Elkins  <me@mutt.org>  (57d4b3839172)

	* curs_main.c: do not leave pager when using read-thread and read-
	subthread

	closes #2137

2010-08-04 17:04 -0700  Petr Písař  <petr.pisar@atlas.cz>  (59ca5d7b1656)

	* ChangeLog, po/cs.po: Updated Czech translation

2010-08-04 06:37 -0700  Vincent Lefevre  <vincent@vinc17.org>  (a7f05f29d9bc)

	* po/fr.po: updated French translation

2010-08-03 10:10 -0700  Michael Elkins  <me@mutt.org>  (2c42f4760c8f)

	* browser.c: add locale.h for compililng with -std=c99

	* main.c: adjust help for -a to make it clearer that -- is required
	terminator

2010-07-31 08:21 -0700  Michael Elkins  <me@mutt.org>  (7cd85c18bfaf)

	* muttlib.c: Fix buffer underflow in expansion of format pipes. Add
	better error detection.

	Closes #3432.

2010-07-18 14:24 -0700  Michael Elkins  <me@mutt.org>  (1a35f096c8cb)

	* init.c: use REGCOMP() macro

2010-07-18 22:09 +0100  Emanuele Giaquinta  <e.giaquinta@glauco.it>  (d0e0d174d620)

	* init.c: Skip 'attachments' directive if minor type is not a valid
	regexp

2010-07-09 11:07 -0700  Joel Dahl  <joel@FreeBSD.org>  (6b13e8319c1f)

	* po/sv.po: fix misspelling in Swedish translation

2010-05-18 08:39 -0700  Michael Elkins  <me@sigpipe.org>  (29e37994a536)

	* send.c: Consider any negative return value from send_message() to be
	an error and allow the user to resend.

	Closes #3411.

2010-04-24 16:10 -0700  Brendan Cully  <brendan@kublai.com>  (4cd2daafd03b)

	* mutt_ssl.c: openssl: only call SSL_shutdown during clean
	shutdown (closes #3407)

2010-04-22 09:14 -0700  Vincent Lefevre  <vincent@vinc17.net>  (6ebdfd09abc1)

	* po/fr.po: updated French translation

2010-04-14 15:47 -0700  Michael Elkins  <me@mutt.org>  (15b9d6f3284f)

	* pgp.c: remove toggle and replace with format in pgp-menu

2010-04-12 15:13 -0500  David Champion  <dgc@uchicago.edu>  (41a46373ddd9)

	* compose.c: Improve clarity/uniformity in compose menu's crypto
	display

	Incorporates feedback on "Security: None" key hints.

2010-04-13 06:49 -0700  Michael Elkins  <me@mutt.org>  (4d798ee2898e)

	* muttlib.c: fix bug handling wide pad char in soft-fill mode

2010-04-11 20:00 -0700  Michael Elkins  <me@mutt.org>  (2cd62f40d840)

	* compose.c: increase size of buffer used for displaying addresses in
	the compose menu to avoid truncating on widescreen displays

	* curs_lib.c: clear prompt when user cancels with ^G from a yes/no
	prompt

	* muttlib.c: Fix bug in soft-fill (%*) in $index_format not accounting
	for 'set arrow_cursor'

	* pgp.c: Remove the (i) option from the PGP-menu when encryption or
	signing is not yet selected. The toggle between PGP/MIME and
	Traditional doesn't make sense unless some type of security has been
	requested.

	Closes #3402.

2010-04-06 09:47 -0700  Michael Elkins  <me@mutt.org>  (889aa698cc49)

	* configure.ac, muttlib.c: fix for compiling Mutt with clang: check
	for wchar_h prior to wctype_h in check for wc funcs

2010-04-05 11:12 -0700  Michael Elkins  <me@mutt.org>  (844174efa648)

	* doc/manual.xml.head: [doc] Remove bogus -group parameter from
	unlists and unsubscribe commands; add links to address group section
	for context.

2010-04-03 20:34 -0700  Michael Elkins  <me@mutt.org>  (cf97505addf8)

	* init.c: prevent user from setting $charset to an empty string since
	other code requires it to be set to a valid string

	closes #3326

	* pager.c: allow regexps to match on continuation header lines in
	'color header' commands.

	closes #3373

	* pattern.c: Fix crash on invalid regexp in search string due to
	uninitialized BUFFER variable.

	Closes #3401

2010-04-01 10:10 -0700  Simon Ruderich  <simon@ruderich.org>  (b9baa0234846)

	* attach.c, commands.c, filter.c, muttlib.c, send.c: fix comment typos

2010-04-01 09:59 -0700  Michael Elkins  <me@mutt.org>  (96ed7cdacdc6)

	* init.h: Improve documentation for $query_command to note that Mutt
	automatically adds quotes according to shell quoting rules (thx:
	Simon Ruderich).

	* doc/manual.xml.head: Clarify the documentation on what the line-
	editor is (thx: Simon Ruderich)

2010-03-31 08:50 -0700  Michael Elkins  <me@mutt.org>  (7e9e31b1bd7b)

	* muttlib.c: avoid buffer overflow when expanding the format string
	associated with a 'spam' command.

	closes #3397

2010-03-23 16:03 -0700  Michael Elkins  <me@mutt.org>  (fe29d691deff)

	* doc/muttrc.man.head: remove errant commands in secton on setting
	alternates

2010-03-22 22:16 -0700  Brendan Cully  <brendan@kublai.com>  (69e9a1a0ba2f)

	* sendlib.c: Fix a format string warning

2010-03-22 20:02 -0700  Marcel Telka  <marcel@telka.sk>  (f544730656c1)

	* compose.c: redraw entire screen when exiting editor after re-editing
	the message body in the send menu.

	closes #3393.

2010-03-21 09:52 -0700  Michael Elkins  <me@mutt.org>  (0a29e3f4f4b9)

	* sendlib.c: Do not assume whitespace follows the colon in a header
	field.

	Closes #3385.

2010-03-08 15:13 -0800  Brendan Cully  <brendan@kublai.com>  (ad6d799951cb)

	* configure.ac: Comment about search libsasl for sasl2 functions

2010-03-08 14:04 -0600  Will Fiveash  <Will.Fiveash@Sun.COM>  (b92b9c6a1c85)

	* configure.ac: OpenSolaris sasl fix for configure.ac

2010-03-08 15:00 -0800  Brendan Cully  <brendan@kublai.com>  (05cec973f0d9)

	* pattern.c: When regexp compilation fails, report actual pattern
	along with error.

	* muttlib.c: mutt_buffer_printf: NULL dptr means use data

	* pattern.c: If regcomp fails, assume rx has not been allocated. Fixes
	a core dump for save-hook '~f foo\.bar@(something|other)\.com' =foo.

2010-03-02 11:31 -0800  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (fec2720ff6ef)

	* rfc822.c: Fix #2014. Thanks to Vincent Lefevre for help
	with this one.

2010-03-02 11:16 -0800  Brendan Cully  <brendan@kublai.com>  (41cf44ddbb4c)

	* copy.c: Fix thinko in [cc02f079b1b9]

2010-03-01 22:40 -0800  Brendan Cully  <brendan@kublai.com>  (cc02f079b1b9)

	* copy.c: Guard dequote with NULL check on personal field

	* copy.c, rfc822.c, rfc822.h: Another attempt to dequote
	RFC2047-encoded address comments (see #2014)

	* rfc822.c: Backed out changeset 2a4ca6917fd0. It is incompatible with
	$assumed_charset (see #2014).

2010-02-28 23:03 -0800  Brendan Cully  <brendan@kublai.com>  (2a4ca6917fd0)

	* rfc822.c: RFC-2047 decode address text before dequoting it (see
	#2014)

	* doc/manual.xml.head: Fix next-unread-mailbox name in
	documentation. Closes #3319.

2010-02-28 17:23 -0800  Antonio Radici  <antonio@dyne.org>  (25459cbb132a)

	* po/de.po: Fix German translation of "No undeleted messages." (closes
	#3372)

	* pop_lib.c: pop: allow user-specified port to override
	default in URL. Closes #3322.

2010-02-28 17:00 -0800  ludwig  <ludwig@fh-worms.de>  (2c78b28027cc)

	* crypt-gpgme.c: GPGME: Sender verification should be canse-
	insensitive for domain names. Closes #2180

2010-02-26 18:18 -0800  Brendan Cully  <brendan@kublai.com>  (40eca68c394a)

	* UPDATING, init.h: Make $thorough_search default to yes
	(closes #3386)

2010-02-23 12:42 -0800  Brendan Cully  <brendan@kublai.com>  (57124ea5592e)

	* commands.c: Don't use freed ctx.path when updating utime of target
	mailbox in save-message. Thanks to Sean Boudreau for the bug report.

2010-02-22 23:01 -0800  Vincent Lefevre  <vincent@vinc17.net>  (f17302c10229)

	* po/fr.po: Updated French translation.

2010-02-21 13:16 -0800  Brendan Cully  <brendan@kublai.com>  (a6fddecdc5f5)

	* curs_lib.c: Make mutt_yesorno use mutt_message to print query.
	Closes #3352.

2010-02-20 21:56 -0800  Gregory Shapiro  <dev.mutt.org@g.gshapiro.net>  (f723e07c8e6d)

	* OPS, UPDATING, curs_main.c, functions.h: Add imap-logout-
	all to log out of all IMAP connections. Closes #2880.

2010-02-17 00:47 -0800  Simon Ruderich  <simon@ruderich.org>  (260d39279161)

	* doc/manual.xml.head: Document 'n' and 'o' flags in index

	* doc/devel-notes.txt, doc/muttrc.man.head, init.h,
	rfc1524.c: Spelling fixes

2010-02-10 23:29 -0800  Brendan Cully  <brendan@kublai.com>  (b7ec848af36b)

	* doc/manual.xml.head: Fix a typo (closes #3379)

2010-02-01 23:40 -0800  Antonio Radici  <antonio@dyne.org>  (e9965b78e92d)

	* po/sv.po: The Swedish translation has a suboptimal
	translation of the word "Bad" in several places. The proposed patch
	substitutes Dålig (which implies bad "as in quality", and not bad
	"as in error") for Felaktig (erroneous).

	Closes #3370.

	* init.h: Small fix to the muttrc manpage. Closes #3374

2010-01-13 19:12 +0100  Matthias Andree  <matthias.andree@gmx.de>  (e2c60de29015)

	* configure.ac: Fix hcache build on systems with $(EXEEXT), include it
	in mutt_md5.

2009-12-29 00:33 -0500  Brendan Cully  <brendan@kublai.com>  (31881f38ca1e)

	* curs_lib.c: Hack mutt_wstr_trunc to treat M_TREE characters as 1
	cell. Closes #3364.

2009-12-28 22:13 -0500  Brendan Cully  <brendan@kublai.com>  (359de549b2d1)

	* doc/manual.xml.head: Remove spurious quotes from query_command
	example. Closes #3365.

2009-12-14 10:24 -0800  Brendan Cully  <brendan@kublai.com>  (736b6af3c5f1)

	* rfc1524.c: Fix off-by-one errors in mailcap parser.
	Closes #3362

2009-12-10 22:52 -0800  Daniel Jacobowitz  <dan@debian.org>  (b7d2cb7c7ce1)

	* hcache.c: Do not store header color in hcache. If the color
	directive is removed from muttrc, the cached value from the last
	directive would otherwise still be in effect.

2009-12-07 23:08 -0800  Patrick Welche  <prlw1@cam.ac.uk>  (1cf34ea1f128)

	* mutt_ssl.c: STACK* is not defined with newer SSL, use
	STACK_OF instead. Closes #3356.

2009-12-07 22:46 -0800  Peter Rosin  <peda@lysator.liu.se>  (fc9563de3dcb)

	* snprintf.c: Output %p as unsigned in the bundled snprintf

2009-11-14 14:31 -0800  Brendan Cully  <brendan@kublai.com>  (6928f522ac48)

	* curs_main.c: Back out e67f4c347bb4.

	I could not reproduce the problem, and the change makes it
	impossible to change to a real folder when no folder is currently
	open.

2009-10-28 23:03 -0700  Brendan Cully  <brendan@kublai.com>  (89fb586edda2)

	* sendlib.c: Unfold headers to wrap length in pager, when weed is set.

	From Rocco's patch queue.

2009-09-22 23:29 -0700  Antonio Radici  <antonio@dyne.org>  (5037c59a589e)

	* po/it.po: Correct Italian translation of y/n/a prompt.
	Closes #3336

2009-08-27 22:10 -0700  Petr Písař  <petr.pisar@atlas.cz>  (605559e4f88f)

	* po/cs.po: Updated Czech translation.

2009-08-20 11:34 +0200  René Clerc  <rene@clerc.nl>  (6b48ff4e69a3)

	* doc/manual.xml.head: No-brain documentation typo fix

2009-08-20 11:33 +0200  Rocco Rutte  <pdmef@gmx.net>  (e196cfc00105)

	* doc/manual.xml.head: Backed out changeset c9dd93b09ce7

2009-08-20 11:25 +0200  René Clerc  <rene@clerc.nl>  (c9dd93b09ce7)

	* doc/manual.xml.head: No-brain documentation typo fix Hi Rocco,

	Attached a patch for the documentation that fixes a small typo I
	stumbled upon. If you'd rather have me opening a trac ticket,
	please say so; since this is such a no-brainer I figured I'd e-mail
	you directly.

2009-08-17 17:07 +0200  Rocco Rutte  <pdmef@gmx.net>  (d0fce0eec0b3)

	* doc/manual.xml.head, doc/muttrc.man.head, init.h: Doc: fix more
	typos

	* doc/Makefile.am, doc/mutt.pwl: Doc: fix aspell calls, add
	custom mutt-only wordlist

	* curs_main.c: Require already opened folder when using templates for
	change-folder.

	For example, start with -y and type a wrong IMAP password so that no
	mailbox is open. Trying to change folders resulted in a crash.

2009-08-14 21:29 +0200  Rocco Rutte  <pdmef@gmx.net>  (6a08a5244d60)

	* pattern.c: Clear last search pattern if it's invalid.
	Closes #3315.

	We keep both, the string version and compiled version around for
	search-next; however, in case of parsing errors we dropped only the
	compiled version and not the string one making the code attempting
	to perform a search using a NULL pattern.

	* pattern.c: Bail on missing pattern modifiers at end of pattern.
	Closes #3314.

2009-08-13 23:49 +0200  Rocco Rutte  <pdmef@gmx.net>  (f8d50e968853)

	* doc/Muttrc.head, doc/manual.xml.head, init.h: Docs: fix
	typos/style

2009-08-11 12:22 -0700  Tomas Hoger  <thoger@redhat.com>  (dc09812e63a3)

	* mutt_ssl.c: Catch SSL null prefix attach (openssl)

2009-08-09 14:45 -0700  Brendan Cully  <brendan@kublai.com>  (002b4676d502)

	* buffy.c: Add buffy_new and buffy_free abstractions.

2009-08-09 14:53 +0200  Christian Ebert  <blacktrash@gmx.net>  (0153dbc12dc4)

	* doc/manual.xml.head: manual: fix wrong spell checker assumptions

2009-08-09 14:35 +0200  Rocco Rutte  <pdmef@gmx.net>  (59b4c73e7254)

	* doc/manual.xml.head: Manual: Fix typos, consequently use
	en_US spelling

2009-08-08 22:50 -0700  Brendan Cully  <brendan@kublai.com>  (d4ea7f571f10)

	* buffy.c: Split out mailbox-specific code in mutt_buffy_check

	* buffy.c, muttlib.c, mx.c, mx.h, status.c: Unconditionally define
	M_IMAP, M_POP. These aren't bloat, and not having them creates a lot
	of #ifdef clutter.

	* curs_lib.c: Abort prompt on ^C, as was the case prior to
	12a6de725483

2009-08-04 10:47 -0700  Vincent Lefevre  <vincent@vinc17.org>  (15a695678b7b)

	* po/fr.po: Updated French translation.

2009-08-04 12:34 +0200  Rocco Rutte  <pdmef@gmx.net>  (25c2d70f2f00)

	* doc/manual.xml.head: Manual: Add some words of warning to really
	remove IRT header when intended

	* doc/manual.xml.head: Manual: Put mailbox shortcuts into
	table for readability

	* doc/manual.xml.head: Manual: Fix docs for push/exec

2009-08-04 12:08 +0200  Johan D  <djo33@free.fr>  (14bb498c6a1c)

	* mh.c: Fix MH parsing, fixes [0698e8195545]. Closes #3312

2009-08-01 15:16 +0200  Rocco Rutte  <pdmef@gmx.net>  (29727d19634a)

	* doc/manual.xml.head: Manual: use full names for &eacute; and
	&egrave; entities. Closes #3286.

	This is necessary because we want to install a us-ascii manual.txt
	that would contain only "e" instead of accented characters.

2009-07-30 17:56 +0200  Rocco Rutte  <pdmef@gmx.net>  (4a572310c3b5)

	* main.c: Fix mutt -h output for -a/-- options

2009-07-29 13:26 -0700  Brendan Cully  <brendan@kublai.com>  (a2a4286491b4)

	* hcache.c, hcache.h, imap/util.c: Harmonize hcache uidvalidity size
	to unsigned int (per IMAP RFC). Closes #3296.

2009-07-28 23:16 +0200  Rocco Rutte  <pdmef@gmx.net>  (153eac9e03e7)

	* Makefile.am: Add group.h to distribution

	* group.c, group.h, init.c, rfc822.c: Fix some issues with
	ungroup [...] *

2009-07-27 21:14 -0700  Kees Cook  <kees@outflux.net>  (2fc9348684fe)

	* mh.c: Properly propagate mh_read_sequences result. Closes #3308.

2009-07-27 20:49 -0700  Brendan Cully  <brendan@kublai.com>  (5c076ed18883)

	* configure.ac: Do not overwrite docdir unless --with-
	docdir was explicitly given. This allows --docdir from autoconf
	2.60+ to work, though if given --with-docdir will silently override
	--docdir. Closes #3282.

2009-07-24 14:30 +0200  Rocco Rutte  <pdmef@gmx.net>  (86e066a206ac)

	* po/de.po: Update German translation

	* init.c: Fix check_sec.sh warning

2009-07-23 23:36 -0400  Aron Griffis  <agriffis@n01se.net>  (0ee27568ad09)

	* init.c: fix :reset to work with empty strings

	Signed-off-by: Aron Griffis <agriffis@n01se.net>

2009-07-23 23:32 -0700  Vincent Lefevre  <vincent@vinc17.org>  (223020f50cb7)

	* po/fr.po: Updated French translation.

2009-07-23 23:51 +0200  Matthias Andree  <matthias.andree@gmx.de>  (1e77b368ef55)

	* charset.h, rfc2047.c: Use proper prototype for
	mutt_get_default_charset(), fix fallout.

	* bcache.c, charset.c: Fix two warnings "the address of 'foo' will
	always evaluate as 'true'".

2009-07-23 17:28 +0200  Rocco Rutte  <pdmef@gmx.net>  (1597c2074a52)

	* doc/manual.xml.head: Manual: better document what address
	groups are (for)

	* group.c, group.h, init.c, init.h, pattern.c, protos.h, rfc822.c,
	rfc822.h: Implement ungroup command. Closes #3304.

	* init.c, mutt.h, muttlib.c: Move remove_from_rx_list() to muttlib.c,
	name it mutt_remove_from_rx_list()

2009-07-22 15:25 +0200  Fabian Groffen  <grobian@gentoo.org>  (d41e043fa775)

	* keymap.c: Use CRYPT_BACKEND_GPGME instead of non-existent
	HAVE_GPGME

2009-07-22 14:43 +0200  kees  <kees@outflux.net>  (848f08512bf3)

	* hcache.c, rfc822.h: Properly restore addresses from hcache using
	rfc822_new_address(). Closes #3302.

	* mh.c: Don't leak mhs flags in mh_buffy(). Closes #3303.

2009-07-17 17:57 -0400  Aron Griffis  <agriffis@n01se.net>  (a3c4b605cfad)

	* UPDATING: add batch mode send-hooks note to UPDATING

2009-07-14 20:25 -0700  Aron Griffis  <agriffis@n01se.net>  (084fb086a0e7)

	* send.c: Make send-hooks work for batch mode. Closes
	#3219.

	Handle SENDBATCH inline with the normal sending code, instead of
	handling it separately. This allows send-hooks to run, along with
	removing a number of unnecessarily lines of code.

2009-07-11 14:52 +0200  Rocco Rutte  <pdmef@gmx.net>  (6f942afe60b5)

	* charset.c, mbyte.c: Recognize charset extensions, see #3150.

	With utf-8//TRANSLIT, we internally didn't recognize it as utf-8.
	This leads to badly broken behaviour if --without-wc-funcs is used
	for some reason. In that case, if we have utf-8 as charset, we
	implement our own wide char functions; for all other charsets, we
	use the system single-byte locale functions. And using these with
	utf-8 is broken.

	* curs_lib.c: Render blanks to spaces in index, fixes
	[298194c414f0]

	wcwidth(<tab>) returns -1 so 'foo<tab>bar' was rendered to 'foobar',
	and now to 'foo bar'. Closes #3270 again.

2009-07-08 13:37 +0200  Rocco Rutte  <pdmef@gmx.net>  (f22b71d8005a)

	* mbyte.c: Fix compiler warning

2009-07-07 15:03 +0200  Rocco Rutte  <pdmef@gmx.net>  (d5e03a46518c)

	* TODO: Update TODO

2009-07-07 10:49 +0200  Matthias Andree  <matthias.andree@gmx.de>  (cc4d6044b31e)

	* INSTALL: GNU-make based VPATH builds work.

2009-07-07 13:16 +0200  Rocco Rutte  <pdmef@gmx.net>  (f161c2f00d84)

	* UPDATING, bcache.c, doc/manual.xml.head, hcache.c,
	muttlib.c, protos.h: Make hcache+bcache paths always UTF-8. Closes
	#3284.

	* UPDATING, globals.h, init.h, sendlib.c: Add $wrap_headers. Closes
	#3135

	* doc/manual.xml.head: Manual: mention terminal setup for
	charsets, more unicode pros.

	Closes #3292.

2009-07-06 15:28 +0200  Rocco Rutte  <pdmef@gmx.net>  (ccab6c56b557)

	* doc/manual.xml.head: Manual: Add a note about when/why to use utf-8

2009-07-05 18:36 -0700  Brendan Cully  <brendan@kublai.com>  (118b8fef8aae)

	* buffy.c, buffy.h, mx.c: Suppress new mail notification
	from mailbox just left. Closes #3290.

2009-07-02 20:42 +0200  Rocco Rutte  <pdmef@gmx.net>  (042f2ce0b870)

	* doc/manual.xml.head: Manual: minor fixes

	* doc/manual.xml.head, doc/mutt.css: Manual: Render
	comments in examples a lighter for readability

	* doc/manual.xml.head, doc/manual.xml.tail: Manual: Reformat
	paragraphs, fix &tilde; -> ~ breakage

	* doc/manual.xml.head: Manual: rework MIME chapter a bit

	* doc/gen-map-doc, doc/manual.xml.tail, functions.h: Manual: Generate
	more pretty titles/ids for key binding tables

	* doc/manual.xml.head: Manual: fix supported version
	numbers for mixmaster

2009-07-02 00:06 -0700  Brendan Cully  <brendan@kublai.com>  (029ba140fb48)

	* curs_main.c: Handle keepalive failure when changing folders. There
	are probably many other places where this kind of thing could happen
	though. See #3028.

2009-07-01 18:13 -0700  Rocco Rutte  <pdmef@gmx.net>  (f6c6066a5925)

	* account.c, mutt_sasl.c, smtp.c: Make getuser/pass abort
	if input is required in batch mode. Replaces [0a3de4d9a009]. See
	#3289.

	* doc/manual.xml.head: Manual: Add detailed section on charset
	handling

	* smtp.c: SMTP: use $smtp_pass in batch mode. Closes #3289.

	mutt_account_getpass() copying the password from $smtp_pass into the
	account structure is only called from the SASL callback we only use
	if we're sure we don't need curses (i.e. have the pass already).

2009-06-30 17:32 +0200  Rocco Rutte  <pdmef@gmx.net>  (f4baa2f1251a)

	* pgpewrap.c: Add missing config.h include to pgpewrap.c

	It technically doesn't need it, but pgpewrap should be rebuilt after
	configure ran, too.

	* doc/Makefile.am: Manual: Run lynx with --display_charset
	=us-ascii, see #3286.

2009-06-29 18:20 +0000  Rocco Rutte  <pdmef@gmx.net>  (03c65df651e0)

	* UPDATING, doc/manual.xml.head: Manual: Move new mail detection into
	its own section

	This also updates some parts of docs and adds missing ones. It also
	adds a note about the recent changes, also to UPDATING.

2009-06-29 18:03 +0200  Rocco Rutte  <pdmef@gmx.net>  (d3a7e0334e5d)

	* url.c, url.h: Revert URL path encoding for now

	It breaks gmail url display and makes bcache use different paths.
	Still we need to think about whether we want to allow any character
	in bcache paths (possibly multibyte, possibly depending on
	$charset).

2009-06-28 20:49 -0700  Brendan Cully  <brendan@kublai.com>  (298194c414f0)

	* configure.ac, curs_lib.c: Allow tabs in index subject. Closes #3270.

	* imap/util.c: Allow ImapDelimChars to be unset

	* mutt.h: Rename struct thread to struct mutt_thread. Closes #3279.

	* imap/command.c: Not being able to start an IMAP command
	is a fatal error. Closes #3155.

	* imap/auth_login.c: IMAP LOGIN does not support separate user and
	login accounts. Use the user account for both. Closes #3240.

2009-06-28 22:40 +0200  Rocco Rutte  <pdmef@gmx.net>  (71a84cf22c42)

	* url.c, url.h: Fix URL parser to encode paths

2009-06-28 15:42 +0200  Deng Xiyue  <manphiz@gmail.com>  (fe688db8099a)

	* po/zh_CN.po: Update Simplified Chinese translation. Closes #3281.

2009-06-27 17:07 +0200  Rocco Rutte  <pdmef@gmx.net>  (7ca8d09f7d2c)

	* hg-commit: hg-commit: drop changelog entries from hg log

	* doc/makedoc.c, doc/manual.xml.head: Manual: stop using DocBook
	entities mapping to ascii chars

	There's no real benefit, it only makes reading/writing the manual
	harder. All entities that potentially map to non-ascii characters
	(&mdash, &auml, etc.) are left so that manual.xml remains pure
	ascii.

2009-06-26 21:47 -0700  Brendan Cully  <brendan@kublai.com>  (b2b97c7a2ae6)

	* imap/imap_private.h, imap/message.c, imap/util.c: Set
	internaldate of messages appended to IMAP mailboxes

2009-06-26 20:27 +0200  Rocco Rutte  <pdmef@gmx.net>  (156e6d6e34fc)

	* doc/manual.xml.head: Manual: try to explain that and why
	copiousoutput should come last

	* po/de.po: Update German translation

2009-06-25 21:46 +0200  Rocco Rutte  <pdmef@gmx.net>  (c5d0252e8f72)

	* rfc3676.c: Fix f=f corner case with DelSp=yes abuse

	* sendlib.c: header folding: treat From_ specially, never wrap on
	sending side

	* sendlib.c: Add Date: header to postponed messages

	* sendlib.c: Only add Status: header (fcc/postpone) when
	saving to mbox/mmdf

	* compose.c: Treat messages written with <write-fcc> as fcc, not
	postponed.

2009-06-23 10:13 -0700  Vincent Lefevre  <vincent@vinc17.org>  (bc2463863c15)

	* po/fr.po: Updated French translation.

2009-06-23 16:56 +0200  Rocco Rutte  <pdmef@gmx.net>  (d152033cf967)

	* doc/manual.xml.head: Manual: Simply type conversion section wording.

	* Makefile.am, configure.ac: Don't build hcversion.h and mutt_md5
	without hcache

	* handler.c, mutt.h, muttlib.c: Implement state_putws() and
	state_putwc(), see #3148.

	This is needed to unbreak text/enriched rendering on Linux.

	* commands.c: Only use keypad() when curses is running

2009-06-23 00:28 -0700  Vincent Lefevre  <vincent@vinc17.org>  (642987450d83)

	* curs_lib.c: Only beep when displaying error messages (unbreaks
	[54bc1ef602e7])

2009-06-23 00:20 -0700  Brendan Cully  <brendan@kublai.com>  (f5849c72a274)

	* crypt-gpgme.c: Update crypt-gpgme for mutt_mktemp change
	in [ed7eb5de7536]

2009-06-22 17:36 +0200  Rocco Rutte  <pdmef@gmx.net>  (54bc1ef602e7)

	* curs_lib.c: Make mutt_curses_(error|message) format message to COLS
	chars. Closes #3278.

	While I'm at it, fold both functions into one.

2009-06-22 17:21 +0200  Alexey Tourbin  <at@altlinux.org>  (e378bbdc3f0f)

	* smime_keys.pl: smime_keys: use Time::Local module. Closes #3277.

2009-06-22 17:17 +0200  Rocco Rutte  <pdmef@gmx.net>  (4899f140ec25)

	* mbyte.c: Fix included iswupper(). Closes #3276.

	* lib.c: Catch range errors when converting to long.

2009-06-21 21:57 +0200  Rocco Rutte  <pdmef@gmx.net>  (ed7eb5de7536)

	* attach.c, commands.c, crypt.c, editmsg.c, handler.c, headers.c,
	help.c, history.c, imap/message.c, main.c, mbox.c, muttlib.c, mx.c,
	pattern.c, pgp.c, pgpkey.c, pgpmicalg.c, pop.c, protos.h,
	recvattach.c, recvcmd.c, rfc3676.c, send.c, sendlib.c, smime.c: Pass
	buffer size to mutt_mktemp()

	* handler.c, rfc3676.c: Port f=f and text/plain handlers to
	mutt_read_line()

	* lib.c: mutt_read_line(): make line counting ptr optional

	* sendlib.c: Silently drop headers not in "key: value"
	format. Fixes out-of-memory exits.

2009-06-20 23:09 +0200  Rocco Rutte  <pdmef@gmx.net>  (6447ebe80797)

